Subject: bug#13363: Documentation bug - nXML mode: C-return is not defined as stated

From: John Brown <[email-masked]>
Date: Sun, 6 Jan 2013 02:06:37 -0800 (PST)

Jambunathan K wrote:

> 
> John Brown <[email-masked]> writes:
> 
>>  Hello Glenn,
>> 
>> 
>>  Glenn Morris wrote:
>>> 
>>>  John Brown wrote:
>> 
>> ... M-TAB ... is likely to be a problem for many users.
>> 
>>  I recommend that the documentation suggest ways to work around
>>  this.
> 
> I use C-M-i.
> 
>     ,---- NEWS
>     | ** nXML mode no longer binds C-RET to `nxml-complete'.
>     | Completion is now performed via `completion-at-point', bound to C-M-i
>     | or M-TAB.  If `nxml-bind-meta-tab-to-complete-flag' is non-nil (the
>     | default), this performs tag completion.
>     `----
>

OK, but this information does not belong in the NEWS (only).
Further investigation reveals that the alternative keystrokes
may also be found buried at:
Help -> More Manuals -> All Other Manuals (Info) -> 
nXML Mode topic.

But given that "C-h m" says the keystroke is C-Return and
"C-h b" shows only "M-TAB" bound to completion-at-point, 
why would I expect to find something different in the Info
manual? The answer: I wouldn't. However, they have promised
to fix the documentation.

Now that I have reverted to my original xml-mode.elc, C-M-i
(and ESC TAB as mentioned by another poster) works.

This, at last, is the true solution: use C-M-i or <ESC><TAB>
as stated in the nXML Mode Info manual, i.e, the "nXML Mode"
topic in Help -> More Manuals -> All Other Manuals (Info).
In addition "C-h m" and "C-h b" should show this information 
when Emacs is in nXML mode.

Regards,
John Brown.